Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 267)
@@ -4305,70 +4471,92 @@
                 int BillComp = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key;
                 // ----- SQL作成
                 // 増減工事の増減分を取得する
-                string strSQL1 = "(SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
-                strSQL1 += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,";
-                strSQL1 += " G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), TRUNCATE(A.ConstructionCode / 100, 0), MOD(A.ConstructionCode ,100), A.*";
-                strSQL1 += " FROM CONSTRUCTIONBASEINFO A";
+                StringBuilder strSQL1 = new StringBuilder(); ;
+                strSQL1.Append("(SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
+                strSQL1.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,");
+                strSQL1.Append(" G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), TRUNCATE(A.ConstructionCode / 100, 0), MOD(A.ConstructionCode ,100), A.*");
+                strSQL1.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                string strSQL = strSQL1;
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(strSQL1.ToString());
 
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
-                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
-                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
-                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
-                strSQL += " , CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += string.Format(" WHERE A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
-                //strSQL += " AND (A.BILLINGDATE = TO_DATE('0001/01/01') OR A.BILLINGDATE > ADD_MONTHS(sysdate, -1))";
-                strSQL += " AND (DATE(A.BILLINGDATE) = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR DATE(A.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH))";
-                strSQL += string.Format(" AND A.ConstructionStatusFlg <> {0} AND A.ConstructionStatusFlg < {1}", NotOrder, BillComp);
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
+                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+                strSQL.Append(" , CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C");
 
-                //strSQL += CreateFluctuationProjectsSQL();
+                strSQL.AppendFormat(" WHERE A.TYINGFLG = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+                strSQL.Append(" AND (DATE(A.BILLINGDATE) = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR DATE(A.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH))");
+                strSQL.AppendFormat(" AND A.ConstructionStatusFlg <> {0} AND A.ConstructionStatusFlg < {1}", NotOrder, BillComp);
 
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE)";
+                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(")");
+
                 // 増減工事の親を取得する
-                strSQL += string.Format(" UNION {0}", strSQL1);
+                strSQL.AppendFormat(" UNION {0}", strSQL1.ToString());
 
-                //strSQL += " LEFT JOIN CONSTRUCTIONLINK H ON H.FLUCTUATIONCODE IN (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO";
-                //strSQL += CreateFluctuationProjectsSQL() + ")";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
-                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
-                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
-                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1,";
-                strSQL += " CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C, CONSTRUCTIONLINK H, CONSTRUCTIONBASEINFO I";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += string.Format(" WHERE A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Parent);
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
+                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1,");
+                strSQL.Append(" CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C, CONSTRUCTIONLINK H, CONSTRUCTIONBASEINFO I");
 
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
-                strSQL += string.Format(" AND A.ConstructionStatusFlg <> {0}", NotOrder);
-                strSQL += " AND H.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                //strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (I.BILLINGDATE = TO_DATE('0001/01/01') OR I.BILLINGDATE > ADD_MONTHS(sysdate, -1)) ";
-                strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (DATE(I.BILLINGDATE) = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR DATE(I.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH)) ";
-                strSQL += ")";
+                strSQL.AppendFormat(" WHERE A.TYINGFLG = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Parent);
 
-                strSQL += " ORDER BY 2 Desc, 14 Desc, 15 Asc, 17 Asc, 3 ASC";
-                //strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ConstructionCode Asc, B.DETAILNO ASC";
+                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+                strSQL.AppendFormat(" AND A.ConstructionStatusFlg <> {0}", NotOrder);
+                strSQL.Append(" AND H.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.Append(" AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE");
+                strSQL.AppendFormat(" AND (DATE(I.BILLINGDATE) = STR_TO_DATE('{0}', '%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
+                strSQL.Append(" OR DATE(I.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH)) ");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(")");
+
+                strSQL.Append(" ORDER BY 2 Desc, 14 Desc, 15 Asc, 17 Asc, 3 ASC");
                 ArrayList arData = new ArrayList();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = false;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
 
                 if (arData.Count == 0) return;
 
-                ProgressFluctuationProjects.Visible = true;
-                ProgressFluctuationProjects.Minimum = 0;
-                ProgressFluctuationProjects.Maximum = arData.Count;
+                MainProgressBar.Maximum = arData.Count;
                 tabPage8.Update();
-                //Thread.Sleep(100);
 
                 // データ表示
                 int ino = 1;
@@ -4380,6 +4568,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn5)).Length;
                 int BreakConstructionCode = 0;
+
+                ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+
                 foreach (object[] DataRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn5.ConstructionCode]);
@@ -4393,10 +4585,8 @@
                     if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
 
                     string instructorname = CommonMotions.cnvString(DataRec[(int)DBColumn5.I_PERSONNAME]);
-                    //if (instructorname.Length == 0) instructorname = CommonDefine.s_UndecidedString;
 
                     string subconstr = CommonMotions.cnvString(DataRec[(int)DBColumn5.CS_PERSONNAME]);
-                    //if (subconstr.Length == 0) subconstr = CommonDefine.s_UndecidedString;
 
                     int iDepartmentCode = CommonMotions.cnvInt(DataRec[(int)DBColumn5.DepartmentCode]);
 
@@ -4420,9 +4610,8 @@
                     BreakConstructionCode = iConstructionCode;
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
                     int objCnt = DataRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = DataRec[i + DBCnt];
@@ -4469,8 +4658,8 @@
                     SetCellApprovalColor(CurCell, iApprovalCode, iApprovalStatus);
 
                     // ProgressBarの値を変更する
-                    ProgressFluctuationProjects.Value = ino++;
-                    ProgressFluctuationProjects.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
 
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
@@ -4479,9 +4668,8 @@
                 dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
-                ProgressFluctuationProjects.Value = ProgressFluctuationProjects.Maximum;
-                ProgressFluctuationProjects.Update();
-                ProgressFluctuationProjects.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
             }
             catch (Exception ex)
@@ -4504,6 +4692,7 @@
                 cbiDB.close(); cbiDB = null;
                 dmDB.close(); dmDB = null;
                 dgv.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -4574,29 +4763,59 @@
             dgvNonOrders.SuspendLayout();
             try
             {
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg)
+                {
+                    numUDNonOrder.ValueChanged -= new System.EventHandler(numUDNonOrder_ValueChanged);
+                    numUDNonOrder.Value = m_Period;
+                    numUDNonOrder.ValueChanged += new System.EventHandler(numUDNonOrder_ValueChanged);
+                }
+
                 dgvNonOrders.Rows.Clear();
                 // SQL作成
-                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg, A.EstimatesSubmitDeadline, C.PERSONNAME, A.* ";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
-                strSQL += CreateNonOrdersSQL();
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT");
+                strSQL.Append(" A.ConstructionCode");
+                strSQL.Append(", A.ConstructionPeriod");
+                strSQL.Append(", B.DETAILNO");
+                strSQL.Append(", B.DETAILSTRING");
+                strSQL.Append(", A.ConstructionStatusFlg");
+                strSQL.Append(", A.EstimatesSubmitDeadline");
+                strSQL.Append(", C.PERSONNAME, A.* ");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                //strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, B.DETAILNO ASC";
-                strSQL += " Order By A.NonOrderDate Desc, A.ConstructionCode Desc, B.DETAILNO ASC";
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B");
+                strSQL.Append(", PERSONINCHARGEMASTER C");
+                strSQL.Append(CreateNonOrdersSQL());
+
+                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(" Order By A.NonOrderDate Desc, A.ConstructionCode Desc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
                 if (arData.Count == 0) return;
 
-                ProgressNonOrders.Visible = true;
-                ProgressNonOrders.Minimum = 0;
-                ProgressNonOrders.Maximum = arData.Count;
-                tabPage10.Update();
-                //Thread.Sleep(100);
+                MainProgressBar.Maximum = arData.Count;
 
                 // データ表示
                 int ino = 1;
@@ -4613,6 +4832,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn3)).Length;
                 int BreakConstructionCode = 0;
+
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+                ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                
                 foreach (object[] DataRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn3.ConstructionCode]);
@@ -4628,9 +4851,8 @@
                     BreakConstructionCode = iConstructionCode;
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     int objCnt = DataRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = DataRec[i + DBCnt];
@@ -4657,8 +4879,8 @@
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
-                    ProgressNonOrders.Value = ino++;
-                    ProgressNonOrders.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
 
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
@@ -4667,9 +4889,8 @@
                 dgvNonOrders.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
-                ProgressNonOrders.Value = ProgressNonOrders.Maximum;
-                ProgressNonOrders.Update();
-                ProgressNonOrders.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
             }
             catch (Exception ex)
@@ -4692,6 +4913,7 @@
                 cbiDB.close(); cbiDB = null;
                 picDB.close(); picDB = null;
                 dgvNonOrders.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -4752,29 +4974,62 @@
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg)
+                {
+                    this.numUDCompletion.ValueChanged -= new System.EventHandler(this.numUDCompletion_ValueChanged);
+                    numUDCompletion.Value = m_Period;
+                    this.numUDCompletion.ValueChanged += new System.EventHandler(this.numUDCompletion_ValueChanged);
+                }
+
                 dgvCompletionOfConstruction.Rows.Clear();
                 // SQL作成
-                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
-                strSQL += " A.ConstructionCompletionDate, C.PERSONNAME, D.PERSONNAME, A.*";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE,";
-                strSQL += " CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT");
+                strSQL.Append(" A.ConstructionCode");
+                strSQL.Append(", A.ConstructionPeriod");
+                strSQL.Append(", B.DETAILNO");
+                strSQL.Append(", B.DETAILSTRING");
+                strSQL.Append(", A.ConstructionStatusFlg");
+                strSQL.Append(", A.ConstructionCompletionDate");
+                strSQL.Append(", C.PERSONNAME");
+                strSQL.Append(", D.PERSONNAME");
+                strSQL.Append(", A.*");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
+                strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D");
+                strSQL.Append(" ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
 
-                strSQL += CreateCompletionOfConstructionSQL();
-                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += " Order By A.ConstructionCompletionDate Desc, A.ConstructionCode Asc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B");
+                strSQL.Append(", PERSONINCHARGEMASTER C");
+
+                strSQL.Append(CreateCompletionOfConstructionSQL());
+                strSQL.AppendFormat(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(" Order By A.ConstructionCompletionDate Desc, A.ConstructionCode Asc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
-                //if (arData.Count == 0) return;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
+                if (arData.Count == 0) return;
 
-                ProgressCompletionOfConstruction.Visible = true;
-                ProgressCompletionOfConstruction.Minimum = 0;
-                ProgressCompletionOfConstruction.Maximum = arData.Count;
-                tabPage11.Update();
-                //Thread.Sleep(100);
+                MainProgressBar.Maximum = arData.Count;
 
                 lblCompTitle01.Visible = false;
                 lblCompTitle02.Visible = false;
@@ -4794,9 +5049,8 @@
                 dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
-                ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
-                ProgressCompletionOfConstruction.Update();
-                ProgressCompletionOfConstruction.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
                 // 金額表示
                 long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
@@ -4808,19 +5062,9 @@
 
                 // 最高機密管理者のみ金額が表示される
                 bool bSelFlg = false;
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                        bSelFlg = true;
-                }
-                else
-                {
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
-                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
-                        bSelFlg = true;
-                }
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                    || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                    bSelFlg = true;
 
                 if (bSelFlg)
                 {
@@ -4852,6 +5096,7 @@
 
                 cbiDB.close(); cbiDB = null;
                 picDB.close(); picDB = null;
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -4886,6 +5131,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn4)).Length;
                 int BreakConstructionCode = 0;
+
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+                ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                
                 foreach (object[] DataRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn1.ConstructionCode]);
@@ -4903,9 +5152,8 @@
                     BreakConstructionCode = iConstructionCode;
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
                     int objCnt = DataRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = DataRec[i + DBCnt];
@@ -4947,8 +5195,8 @@
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
-                    ProgressCompletionOfConstruction.Value = ino++;
-                    ProgressCompletionOfConstruction.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
 
             }
@@ -4977,7 +5225,7 @@
                 strSQL += CreateListSQL(stat);
 
                 //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
-                strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
+                strSQL += string.Format(" And A.CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
 
                 return strSQL;
             }
@@ -5010,7 +5258,7 @@
                 strSQL += " FROM CONSTRUCTIONBASEINFO A";
                 strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 strSQL += string.Format(" WHERE A.CONSTRUCTIONPERIOD = {0}", Period);
-                strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+                strSQL += string.Format(" AND A.JOINFLG != {0}", (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren);
                 strSQL += " AND A.CONSTRUCTIONSTATUSFLG IN (";
                 for (int i = 0; i < Status.Length; i++)
                 {
@@ -5068,7 +5316,7 @@
         /// <summary>
         /// 売上グラフ表示
         /// </summary>
-        private void DispSalesGraph(bool bInitFlg = true)
+        private void DispSalesGraph(bool bInitFlg = false)
         {
             try
             {
@@ -5299,7 +5547,7 @@
                 strSQL.Append(strSubSQL.ToString());
 
                 strSQL.AppendFormat(" WHERE Constr.ConstructionPeriod = {0}", SalseGraphNum.Value);
-                strSQL.AppendFormat(" And Person.LEDGERFLG = {0}", (int)CommonDefine.PersonLedgerDivNo.CalcTarget);
+                strSQL.AppendFormat(" And Person.LEDGERFLG = {0}", (int)PersonInChargeMaster.LedgerDivNoDef.CalcTarget);
 
                 if (SelDepartment == 0)
                 {
@@ -5348,6 +5596,10 @@
                 dt.Columns.Add("純利益（損益）", Type.GetType("System.Int64"));
                 ds.Tables.Add(dt);
 
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                DisplayControlProgressBar(true);
+            
                 // SQL作成
                 StringBuilder strSQL = new StringBuilder();
                 CreateGraphDataSQL(ref strSQL);
@@ -5355,10 +5607,7 @@
                 // データ取得取得
                 if (!ReqDB.ExecuteReader(strSQL.ToString(), ref ArList)) return ds;
 
-                progBarSalesGraph.Minimum = 0;
-                progBarSalesGraph.Maximum = ArList.Count;
-                progBarSalesGraph.Value = 0;
-                progBarSalesGraph.Visible = true;
+                MainProgressBar.Maximum = ArList.Count;
                 tabPage14.Update();
 
                 DateTime dtDefStart = CommonMotions.GetOpeningEndDate((int)SalseGraphNum.Value);
@@ -5372,9 +5621,10 @@
                 long CostValue = 0;
 
                 // 経費配列
-                int ArrayCount = Common.CommonDefine.CostDataNoString.Length;
+                int ArrayCount = CostDataOfPerson.DataNoStrArrary.Length;
                 int[] CostArray = new int[ArrayCount];
 
+                int ino = 1;
                 int SelDepartment = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
                 foreach (object[] wrkRec in ArList)
                 {
